Bug 268772 - Remote Versioning asks for /home/.hg and similar files
Remote Versioning asks for /home/.hg and similar files
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.1
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on: 268813
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-01 16:52 UTC by Vladimir Kvashin
Modified: 2016-12-09 12:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Fix might my like that (sure it needs API review) (11.03 KB, patch)
2016-11-03 09:14 UTC, Vladimir Kvashin
Details | Diff
Better fix (incorporating the proposed API changes from issue 268813 (17.15 KB, patch)
2016-11-03 19:51 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-01 16:52:07 UTC
Remote Versioning asks for /home/.hg and similar files.
At the same time remote reports that it detected /home as auto mount point:
FINE [remote.support.logger]: Getting automount list for hadson@enam took 114 ms
FINE [remote.support.logger]:   /home
FINE [remote.support.logger]:   /import
FINE [remote.support.logger]:   /java
FINE [remote.support.logger]:   /net
FINE [remote.support.logger]:   /nfs4
FINE [remote.support.logger]:   /share
FINE [remote.support.logger]:   /shared/dp
FINE [remote.support.logger]:   /usr/dist
FINE [remote.support.logger]:   /ws
Comment 1 Vladimir Kvashin 2016-11-03 09:14:12 UTC
Created attachment 162741 [details]
Fix might my like that (sure it needs API review)
Comment 2 Vladimir Kvashin 2016-11-03 19:51:19 UTC
Created attachment 162757 [details]
Better fix (incorporating the proposed API changes from issue 268813
Comment 3 Vladimir Kvashin 2016-11-25 18:51:11 UTC
change set 7422a721adc8 on enum/r82
Comment 4 Quality Engineering 2016-12-03 03:02:26 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/846fd7aebee0
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Fixed #268772 - Remote Versioning asks for /home/.hg and similar files
(transplanted from 7422a721adc851d15efd27e554eafbc2030f04a0)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo